components/lighttpd/Solaris/http-lighttpd14
changeset 331 5001b63ddc8a
child 517 4da3f450475b
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/components/lighttpd/Solaris/http-lighttpd14	Wed Jun 22 14:10:22 2011 -0700
@@ -0,0 +1,61 @@
+#!/usr/bin/ksh93
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright (c) 2008, 2011, Oracle and/or its affiliates. All rights reserved.
+#
+
+# load builtins
+builtin rm
+
+source /lib/svc/share/smf_include.sh
+
+# constants
+typeset -r lighttpd_version="1.4"
+typeset -r lighttpd_home="/usr/lighttpd/${lighttpd_version}"
+typeset -r lighttpd_bin="${lighttpd_home}/sbin/lighttpd"
+typeset -r conf_file="/etc/lighttpd/${lighttpd_version}/lighttpd.conf"
+typeset -r pidfile=`sed -n -e 's/"//g' -e 's/server\.pid-file *= *//p' ${conf_file}`
+
+
+[[ ! -f "${conf_file}" ]] && exit $SMF_EXIT_ERR_CONFIG
+
+case "$1" in
+        start)
+                rm -f "${pidfile}"
+                exec ${lighttpd_bin} -f ${conf_file} 2>&1
+                ;;
+        refresh)
+                print "Going to refresh"
+                if [[ -f "${pidfile}" ]]; then
+                        kill -HUP "$( < "${pidfile}" )"
+                fi
+                ;;
+        stop)
+                if [[ -f ${pidfile} ]] ; then
+                        kill "$( < "${pidfile}" )"
+                fi
+                ;;
+        *)
+                printf "Usage: %s {start|stop|refresh}\n" "$0"
+                exit 1
+                ;;
+esac